{
  inputs,
  lib,
  config,
  pkgs,
  ...
}:
{
  imports = [
    inputs.nixcord.homeModules.nixcord
    (lib.mkAliasOptionModule [ "programs" "chats" "discord" ] [ "programs" "nixcord" ])
  ];

  programs.chats.discord = {
    discord.enable = false;
    vesktop = {
      enable = true;
      package = pkgs.vesktop.override {
        withTTS = false;
        withMiddleClickScroll = true;
        withSystemVencord = true;
      };
    };
  };
  services.arrpc.enable = config.programs.chats.discord.enable;
}
